within AdaptP.Electrical.Basic;
model CircuitBreakerControlled "Controlled Circuit Breaker"
  import AdaptP;
  extends Interfaces.OnePort;
  AdaptP.Interfaces.PositionPort posPort annotation (Placement(transformation(extent={{-10,80},{10,100}})));
  AdaptP.Interfaces.BooleanInput control annotation (Placement(transformation(
        extent={{10,10},{-10,-10}},
        rotation=-90,
        origin={0,-90})));

  parameter SI.Resistance Ron(final min=0) = 1.E-5 "Closed switch resistance";

protected
  Boolean command;
equation
  control = command;
  posPort.pos = command;

  //circuit breaker is open command = false
  //circuit breaker is close command = true
  i = if control then v/Ron else 0;
  annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
            -100},{100,100}}), graphics={Bitmap(extent={{-100,106},{102,-92}},
            fileName="../../../Icons/CircuitBreaker.bmp"), Text(
          extent={{-142,-77},{158,-117}},
          textString="%name",
          lineColor={0,0,255})}), Diagram(graphics));
end CircuitBreakerControlled;
