within AdaptP.Electrical.Basic;
model DCResistor "Direct Current Resistor"
  parameter SI.Resistance R=9.5;
  parameter SI.Resistance R_offset=5;
  extends Interfaces.OnePort;
  //Nominal, FailedOff IntermittentResistanceOffset, ResistanceDrift, ResistanceOffset
  //FM=0 Nominal
  //FM=1 FailedOff
  //FM=2 IntermittentResistanceOffset
  //FM=3 ResistanceDrift
  //FM=4 ResistanceOffset
  parameter Integer FM = 0;
  SI.Resistance Res;
equation
  Res = if (FM==0) then R else 
        if (FM==1) then 0.0001 else 
        if (FM==2) then R + R_offset else 
        if (FM==3) then R + R_offset else 
        if (FM==4) then R + R_offset else 
        R;

  v = Res*i;
  annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
            -100},{100,100}}), graphics={
        Rectangle(
          extent={{-70,30},{70,-30}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Line(points={{-90,0},{-70,0}}, color={0,0,255}),
        Line(points={{70,0},{90,0}}, color={0,0,255}),
        Text(
          extent={{-144,-40},{142,-72}},
          lineColor={0,0,0},
          textString="R=%R"),
        Text(
          extent={{-154,87},{146,47}},
          textString="%name",
          lineColor={0,0,255})}), Diagram(graphics));
end DCResistor;
