within AdaptP.Electrical.Basic;
model InverterExtended "DC to AC Inverter"

  Modelica.Electrical.Analog.Interfaces.Pin inn 
    annotation (Placement(transformation(extent={{-106,-8},{-86,12}})));
  Modelica.Electrical.Analog.Interfaces.Pin outt 
    annotation (Placement(transformation(extent={{86,-12},{106,8}})));
  Modelica.Electrical.Analog.Sources.RampVoltage VDD(V=5, duration=50e-9) 
    annotation (Placement(transformation(extent={{-8,22},{12,42}})));
  Modelica.Electrical.Analog.Semiconductors.PMOS TP(
    W=6.5e-6,
    L=3.1e-6,
    Beta=1.05e-5,
    Vt=1,
    K5=0.8385) 
    annotation (Placement(transformation(extent={{-58,12},{-38,32}})));
  Modelica.Electrical.Analog.Semiconductors.NMOS TN(W=4.5e-6, L=2.5e-6) 
    annotation (Placement(transformation(extent={{-58,-50},{-38,-30}})));
  Modelica.Electrical.Analog.Basic.Capacitor Ce(C=0.2e-12) annotation (
      Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=-90,
        origin={14,-50})));
  Modelica.Electrical.Analog.Basic.Ground Gnd 
    annotation (Placement(transformation(extent={{58,-90},{78,-70}})));
equation
  connect(inn, TP.G) annotation (Line(
      points={{-96,2},{-78,2},{-78,17},{-58,17}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TP.D, VDD.p) annotation (Line(
      points={{-38,27},{-24,27},{-24,32},{-8,32}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TP.S, Ce.p) annotation (Line(
      points={{-38,17},{14,17},{14,-40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Ce.n, Gnd.p) annotation (Line(
      points={{14,-60},{14,-70},{68,-70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TN.B, Gnd.p) annotation (Line(
      points={{-38,-40},{-20,-40},{-20,-70},{68,-70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TP.S, outt) annotation (Line(
      points={{-38,17},{30,17},{30,-2},{96,-2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(inn, TN.G) annotation (Line(
      points={{-96,2},{-78,2},{-78,-45},{-58,-45}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TP.S, TN.D) annotation (Line(
      points={{-38,17},{-38,-35}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TN.S, Gnd.p) annotation (Line(
      points={{-38,-45},{-38,-70},{68,-70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(VDD.n, Gnd.p) annotation (Line(
      points={{12,32},{40,32},{40,-70},{68,-70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TP.B, VDD.p) annotation (Line(
      points={{-38,22},{-24,22},{-24,32},{-8,32}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
            -100},{100,100}}), graphics={
        Text(
          extent={{-154,111},{146,71}},
          textString="%name",
          lineColor={0,0,255}), Bitmap(extent={{-76,84},{78,-86}}, fileName=
              "modelica://AdaptP/../Icons/inverter.jpg")}),
                                  Diagram(graphics));
end InverterExtended;
