within AdaptP.Electrical.Basic;
model LargeFan "Large Fan"
  import AdaptP;
  extends Interfaces.OnePort;

  parameter SI.Resistance rNom = 141.8317;
  parameter SI.Resistance rOverspeed = 107.9439;
  parameter SI.Resistance rUnderspeed = 168.0570;

  SI.Resistance rAct;  // internal resistance
  SI.Power pAct;       // actual power consumption
  Real rpm;

  parameter Real a = -0.0150;
  parameter Real b = 9.1222;
  parameter Real c = 125.4976;

  AdaptP.Interfaces.SpeedPort speedPort 
    annotation (Placement(transformation(extent={{-10,80},{10,100}})));
equation
  rAct = rNom;
  v = rAct*i;
  //calculate the power consumption in the fan
  pAct = p.i*p.v;
  // quadratic relantionship between pAct and rpm
  rpm = pAct*pAct*a + pAct*b + c;

  //send out the rpm to the sensor
  speedPort.s = rpm;

  annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
            -100},{100,100}}), graphics={
        Text(
          extent={{-144,-65},{156,-105}},
          textString="%name",
          lineColor={0,0,255}), Bitmap(extent={{-68,74},{68,-72}}, fileName=
              "modelica://AdaptP/../Icons/Fan.JPG")}),
                                  Diagram(graphics));
end LargeFan;
