within AdaptP.Examples.AdaptLiteModels;
model AdaptLiteDX10 "The ADAPT Lite model from the DX 2010 Competition"

  Electrical.Sources.BatteryConstantVoltage BAT2(V=24) 
    annotation (Placement(transformation(extent={{-176,44},{-156,64}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{182,-72},{202,-52}})));
  Electrical.Basic.DCResistor DC485(R=9.5) 
    annotation (Placement(transformation(extent={{94,-20},{114,0}})));
  Sensors.TemperatureSensor TE228 
    annotation (Placement(transformation(extent={{-166,72},{-146,92}})));
  Electrical.Basic.CircuitBreaker CB236 
    annotation (Placement(transformation(extent={{-150,44},{-130,64}})));
  Sensors.PositionSensor ISH236 
    annotation (Placement(transformation(extent={{-130,72},{-110,92}})));
  Sensors.CurrentSensor IT240 
    annotation (Placement(transformation(extent={{-124,44},{-104,64}})));
  Sensors.VoltageSensor E240 
    annotation (Placement(transformation(extent={{-104,0},{-84,20}})));
  Electrical.Basic.Relay EY244 
    annotation (Placement(transformation(extent={{-84,44},{-64,64}})));
  Sensors.PositionSensor ESH244A 
    annotation (Placement(transformation(extent={{-60,72},{-40,92}})));
  Sensors.VoltageSensor E242 
    annotation (Placement(transformation(extent={{-62,0},{-42,20}})));
  Electrical.Basic.CircuitBreaker CB262 
    annotation (Placement(transformation(extent={{-24,58},{-4,78}})));
  Electrical.Basic.CircuitBreaker CB280 
    annotation (Placement(transformation(extent={{-20,-20},{0,0}})));
  Sensors.CurrentSensor IT281 
    annotation (Placement(transformation(extent={{10,-20},{30,0}})));
  Sensors.VoltageSensor E281 
    annotation (Placement(transformation(extent={{40,-40},{60,-20}})));
  Electrical.Basic.Relay EY284 
    annotation (Placement(transformation(extent={{64,-20},{84,0}})));
  Electrical.Basic.Inverter INV2 
    annotation (Placement(transformation(extent={{6,58},{26,78}})));
  Sensors.VoltageSensor E265 
    annotation (Placement(transformation(extent={{26,20},{46,40}})));
  Electrical.Basic.CircuitBreaker CB266 
    annotation (Placement(transformation(extent={{44,58},{64,78}})));
  Sensors.CurrentSensor IT267 
    annotation (Placement(transformation(extent={{72,58},{92,78}})));
  Electrical.Basic.Relay E272 
    annotation (Placement(transformation(extent={{110,74},{130,94}})));
  Electrical.Basic.Relay E275 
    annotation (Placement(transformation(extent={{110,40},{130,60}})));
  Electrical.Basic.ACResistor AC483(R=80) 
    annotation (Placement(transformation(extent={{140,74},{160,94}})));
  Electrical.Basic.LargeFan FAN416 
    annotation (Placement(transformation(extent={{140,40},{160,60}})));
  Sensors.SpeedTransmitter ST516 
    annotation (Placement(transformation(extent={{156,56},{176,76}})));
equation
  connect(ground.p, BAT2.p)                   annotation (Line(
      points={{192,-52},{-186,-52},{-186,54},{-175,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(TE228.port, BAT2.heatPort)                   annotation (Line(
      points={{-165,82},{-166,82},{-166,63}},
      color={127,0,0},
      smooth=Smooth.None));
  connect(BAT2.n,CB236. p) annotation (Line(
      points={{-157,54},{-149,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB236.posPort, ISH236.posPort) annotation (Line(
      points={{-140,63},{-140,82},{-129,82}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB236.n, IT240.p) annotation (Line(
      points={{-131,54},{-123,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E240.p, IT240.n) annotation (Line(
      points={{-94,19},{-94,54},{-105,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT240.n, EY244.p) annotation (Line(
      points={{-105,54},{-83,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ESH244A.posPort, EY244.posPort) annotation (Line(
      points={{-59,82},{-74,82},{-74,63}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY244.n, CB262.p)          annotation (Line(
      points={{-65,54},{-36,54},{-36,68},{-23,68}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY244.n, CB280.p) annotation (Line(
      points={{-65,54},{-36,54},{-36,-10},{-19,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E242.p, EY244.n) annotation (Line(
      points={{-52,19},{-52,54},{-65,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E240.n, ground.p) annotation (Line(
      points={{-94,1},{-94,-52},{192,-52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E242.n, ground.p) annotation (Line(
      points={{-52,1},{-52,-52},{192,-52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB280.n, IT281.p) annotation (Line(
      points={{-1,-10},{11,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT281.n, EY284.p) annotation (Line(
      points={{29,-10},{65,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(EY284.n, DC485.p) annotation (Line(
      points={{83,-10},{95,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(DC485.n, ground.p) annotation (Line(
      points={{113,-10},{120,-10},{120,-52},{192,-52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E281.n, ground.p) annotation (Line(
      points={{50,-39},{50,-52},{192,-52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E281.p, IT281.n) annotation (Line(
      points={{50,-21},{50,-10},{29,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E265.n, ground.p) annotation (Line(
      points={{36,21},{36,-52},{192,-52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB266.n, IT267.p) annotation (Line(
      points={{63,68},{73,68}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT267.n, E272.p) annotation (Line(
      points={{91,68},{98,68},{98,84},{111,84}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(IT267.n, E275.p) annotation (Line(
      points={{91,68},{98,68},{98,50},{111,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E272.n, AC483.p) annotation (Line(
      points={{129,84},{141,84}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E275.n, FAN416.p) annotation (Line(
      points={{129,50},{141,50}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(FAN416.n, ground.p) annotation (Line(
      points={{159,50},{182,50},{182,-52},{192,-52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(AC483.n, ground.p) annotation (Line(
      points={{159,84},{182,84},{182,-52},{192,-52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ST516.speedPort, FAN416.speedPort) annotation (Line(
      points={{157,66},{150,66},{150,59}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(INV2.pAC, CB266.p) annotation (Line(
      points={{25,68},{45,68}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(E265.p, INV2.pAC) annotation (Line(
      points={{36,39},{36,67.5},{25,67.5},{25,68}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB262.n, INV2.pDC) annotation (Line(
      points={{-5,68},{7,68}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,
            -100},{200,100}}), graphics), Icon(coordinateSystem(
          preserveAspectRatio=true, extent={{-200,-100},{200,100}})));
end AdaptLiteDX10;
