within AdaptP.Examples.ConceptModels;
model epsDesign1layout
  import AdaptP.Electrical.Basic.*;
  import AdaptP.Electrical.Sources.*;
  import AdaptP.Sensors.*;
  WaterPump Pump annotation (Placement(transformation(extent={{132,-22},{152,-2}})));
  LargeFan Fan annotation (Placement(transformation(extent={{130,50},{150,70}})));
  LightBulb Light annotation (Placement(transformation(extent={{130,14},{150,34}})));
  DCResistor DC annotation (Placement(transformation(extent={{98,78},{118,98}})));
  Relay RL6 annotation (Placement(transformation(extent={{100,-22},{120,-2}})));
  Relay RL76 annotation (Placement(transformation(extent={{98,14},{118,34}})));
  Relay RL77 annotation (Placement(transformation(extent={{98,50},{118,70}})));
  ACBus ACBus1 annotation (Placement(transformation(extent={{60,14},{80,34}})));
  DCBus DCBus1 annotation (Placement(transformation(extent={{-50,60},{-30,80}})));
  Relay RL10 annotation (Placement(transformation(extent={{16,78},{36,98}})));
  CircuitBreaker CB annotation (Placement(transformation(extent={{-10,78},{10,
            98}})));
  PGBus PGBus1 annotation (Placement(transformation(extent={{-102,60},{-82,80}})));
  BatteryConstantVoltage Battery annotation (Placement(transformation(extent={{-180,60},
            {-160,80}})));
  Relay RL13 annotation (Placement(transformation(extent={{-128,60},{-108,80}})));
  CircuitBreaker CB4 annotation (Placement(transformation(extent={{-154,60},{
            -134,80}})));
  Relay RL15 annotation (Placement(transformation(extent={{-74,60},{-54,80}})));
  CircuitBreaker CB2 annotation (Placement(transformation(extent={{-14,14},{6,
            34}})));
  CircuitBreaker CB3 annotation (Placement(transformation(extent={{38,14},{58,
            34}})));
  InverterC Inverter1 annotation (Placement(transformation(extent={{10,14},{30,
            34}})));
  Ground gnd   annotation (Placement(transformation(extent={{174,-48},{194,-28}})));
equation
  connect(CB3.n,ACBus1.p) 
                         annotation (Line(points={{57,24},{61,24}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(Inverter1.n,CB3.p) 
                            annotation (Line(points={{29,24},{39,24}},
                                                                     color={0,0,255},smooth=Smooth.None));
  connect(CB2.n,Inverter1.p) 
                            annotation (Line(points={{5,24},{11,24}},color={0,0,255},smooth=Smooth.None));
  connect(DCBus1.n,CB2.p) 
                         annotation (Line(points={{-31,70},{-24,70},{-24,24},{
          -13,24}},                                               color={0,0,255},smooth=Smooth.None));
  connect(RL15.n,DCBus1.p) 
                          annotation (Line(points={{-55,70},{-49,70}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(PGBus1.n,RL15.p) 
                          annotation (Line(points={{-83,70},{-73,70}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(RL13.n,PGBus1.p) 
                          annotation (Line(points={{-109,70},{-101,70}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(CB4.n,RL13.p) 
                       annotation (Line(points={{-135,70},{-127,70}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(Battery.n,CB4.p) 
                          annotation (Line(points={{-161,70},{-153,70}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(DCBus1.n,CB.p) 
                        annotation (Line(points={{-31,70},{-24,70},{-24,88},{-9,
          88}},                                                  color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL6.p) 
                         annotation (Line(points={{79,24},{90,24},{90,-12},{101,
          -12}},                                                  color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL76.p) 
                          annotation (Line(points={{79,24},{99,24}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL77.p) 
                          annotation (Line(points={{79,24},{90,24},{90,60},{99,
          60}},                                                    color={0,0,255},smooth=Smooth.None));
  connect(CB.n,RL10.p) 
                      annotation (Line(points={{9,88},{17,88}},color={0,0,255},smooth=Smooth.None));
  connect(RL10.n,DC.p) 
                      annotation (Line(points={{35,88},{99,88}},
                                                               color={0,0,255},smooth=Smooth.None));
  connect(RL77.n,Fan.p) 
                       annotation (Line(points={{117,60},{131,60}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(RL76.n,Light.p) 
                         annotation (Line(points={{117,24},{131,24}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL6.n,Pump.p) 
                       annotation (Line(points={{119,-12},{133,-12}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(Battery.p,gnd.p) 
                          annotation (Line(points={{-179,70},{-192.5,70},{
          -192.5,-28},{184,-28}},                                  color={0,0,255},smooth=Smooth.None));
  connect(DC.n,gnd.p) 
                     annotation (Line(points={{117,88},{184.5,88},{184.5,-28},{
          184,-28}},                                          color={0,0,255},smooth=Smooth.None));
  connect(Light.n,gnd.p) 
                        annotation (Line(points={{149,24},{184.5,24},{184.5,-28},
          {184,-28}},                                            color={0,0,255},smooth=Smooth.None));
  connect(Fan.n,gnd.p) 
                      annotation (Line(points={{149,60},{184.5,60},{184.5,-28},
          {184,-28}},                                          color={0,0,255},smooth=Smooth.None));
  connect(Pump.n,gnd.p) 
                       annotation (Line(points={{151,-12},{184.5,-12},{184.5,
          -28},{184,-28}},                                      color={0,0,255},smooth=Smooth.None));
  annotation (
    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,100}}), graphics),
    Icon(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,100}})),
    uses(Modelica(version="3.1")));
end epsDesign1layout;
