within AdaptP.Examples.ConceptModels;
model epsDesign2layout
  import AdaptP.Electrical.Basic.*;
  import AdaptP.Electrical.Sources.*;
  import AdaptP.Sensors.*;
  DCResistor DC annotation (Placement(transformation(extent={{46,74},{66,94}})));
  LightBulb Light annotation (Placement(transformation(extent={{150,-20},{170,0}})));
  LargeFan Fan annotation (Placement(transformation(extent={{150,42},{170,62}})));
  WaterPump Pump annotation (Placement(transformation(extent={{150,10},{170,30}})));
  ACBus ACBus1 annotation (Placement(transformation(extent={{70,10},{90,30}})));
  DCBus DCBus1 annotation (Placement(transformation(extent={{-48,62},{-28,82}})));
  Relay RL7 annotation (Placement(transformation(extent={{112,42},{132,62}})));
  Relay RL87 annotation (Placement(transformation(extent={{114,-20},{134,0}})));
  Relay RL88 annotation (Placement(transformation(extent={{112,10},{132,30}})));
  CircuitBreaker CB2 annotation (Placement(transformation(extent={{-10,10},{10,30}})));
  CircuitBreaker CB3 annotation (Placement(transformation(extent={{46,10},{66,30}})));
  Inverter Inverter1 annotation (Placement(transformation(extent={{18,10},{38,30}})));
  CircuitBreaker CB40 annotation (Placement(transformation(extent={{-156,-18},{-136,
            2}})));
  Relay RL1 annotation (Placement(transformation(extent={{-130,-18},{-110,2}})));
  BatteryConstantVoltage Battery2 annotation (Placement(transformation(extent={{-180,
            -18},{-160,2}})));
  PGBus PGBus1 annotation (Placement(transformation(extent={{-96,62},{-76,82}})));
  CircuitBreaker CB44 annotation (Placement(transformation(extent={{-154,62},{-134,
            82}})));
  Relay RL5 annotation (Placement(transformation(extent={{-126,62},{-106,82}})));
  BatteryConstantVoltage Battery6 annotation (Placement(transformation(extent={{-180,62},
            {-160,82}})));
  Relay RL19 annotation (Placement(transformation(extent={{-72,62},{-52,82}})));
  Relay RL annotation (Placement(transformation(extent={{20,74},{40,94}})));
  CircuitBreaker CB annotation (Placement(transformation(extent={{-8,74},{12,94}})));
  Ground gnd   annotation (Placement(transformation(extent={{172,-66},{192,-46}})));
equation
  connect(DCBus1.n,CB.p) 
                        annotation (Line(points={{-29,72},{-24,72},{-24,84},{-7,
          84}},                                                  color={0,0,255},smooth=Smooth.None));
  connect(CB.n,RL.p) 
                    annotation (Line(points={{11,84},{21,84}},
                                                             color={0,0,255},smooth=Smooth.None));
  connect(RL.n,DC.p) 
                    annotation (Line(points={{39,84},{47,84}},
                                                             color={0,0,255},smooth=Smooth.None));
  connect(RL19.n,DCBus1.p) 
                          annotation (Line(points={{-53,72},{-47,72}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(PGBus1.n,RL19.p) 
                          annotation (Line(points={{-77,72},{-71,72}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL88.p) 
                          annotation (Line(points={{89,20},{113,20}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(RL5.n,PGBus1.p) 
                         annotation (Line(points={{-107,72},{-95,72}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(CB44.n,RL5.p) 
                       annotation (Line(points={{-135,72},{-125,72}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(Battery6.n,CB44.p) 
                            annotation (Line(points={{-161,72},{-153,72}},
                                                                     color={0,0,255},smooth=Smooth.None));
  connect(CB40.n,RL1.p) 
                       annotation (Line(points={{-137,-8},{-129,-8}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(RL1.n,PGBus1.p) 
                         annotation (Line(points={{-111,-8},{-100,-8},{-100,72},
          {-95,72}},                                              color={0,0,255},smooth=Smooth.None));
  connect(Battery2.n,CB40.p) 
                            annotation (Line(points={{-161,-8},{-155,-8}},
                                                                     color={0,0,255},smooth=Smooth.None));
  connect(CB40.n,RL1.p) 
                       annotation (Line(points={{-137,-8},{-129,-8}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL87.p) 
                          annotation (Line(points={{89,20},{96,20},{96,-10},{115,
          -10}},                                                   color={0,0,255},smooth=Smooth.None));
  connect(CB3.n,ACBus1.p) 
                         annotation (Line(points={{65,20},{71,20}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(Inverter1.pAC,CB3.p) 
                             annotation (Line(points={{37,20},{47,20}},
                                                                      color={0,0,255},smooth=Smooth.None));
  connect(CB2.n,Inverter1.pDC) 
                             annotation (Line(points={{9,20},{19,20}},color={0,0,255},smooth=Smooth.None));
  connect(DCBus1.n,CB2.p) 
                         annotation (Line(points={{-29,72},{-24,72},{-24,20},{-9,
          20}},                                                   color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL7.p) 
                         annotation (Line(points={{89,20},{96,20},{96,52},{113,52}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL88.n,Pump.p) 
                        annotation (Line(points={{131,20},{151,20}},
                                                                 color={0,0,255},smooth=Smooth.None));
  connect(RL87.n,Light.p) 
                         annotation (Line(points={{133,-10},{151,-10}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL7.n,Fan.p) 
                      annotation (Line(points={{131,52},{151,52}},
                                                               color={0,0,255},smooth=Smooth.None));
  connect(Battery6.p,gnd.p) 
                           annotation (Line(points={{-179,72},{-186.5,72},{-186.5,
          -46},{182,-46}},                                          color={0,0,255},smooth=Smooth.None));
  connect(Battery2.p,gnd.p) 
                           annotation (Line(points={{-179,-8},{-186.5,-8},{-186.5,
          -46},{182,-46}},                                          color={0,0,255},smooth=Smooth.None));
  connect(Pump.n,gnd.p) 
                       annotation (Line(points={{169,20},{182.5,20},{182.5,-46},
          {182,-46}},                                           color={0,0,255},smooth=Smooth.None));
  connect(Fan.n,gnd.p) 
                      annotation (Line(points={{169,52},{182.5,52},{182.5,-46},{
          182,-46}},                                           color={0,0,255},smooth=Smooth.None));
  connect(Light.n,gnd.p) 
                        annotation (Line(points={{169,-10},{182.5,-10},{182.5,-46},
          {182,-46}},                                            color={0,0,255},smooth=Smooth.None));
  connect(DC.n,gnd.p) 
                     annotation (Line(points={{65,84},{182.5,84},{182.5,-46},{182,
          -46}},                                              color={0,0,255},smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},
            {200,100}}),                                                                          graphics),
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,100}})),
    uses(Modelica(version="3.1")));
end epsDesign2layout;
