within AdaptP.Examples.TestModels;
model TestCircuitBreaker

  Electrical.Basic.CircuitBreaker CB 
    annotation (Placement(transformation(extent={{-30,26},{-10,46}})));
  Electrical.Basic.DCResistor R(R=100) 
    annotation (Placement(transformation(extent={{6,26},{26,46}})));
  Electrical.Basic.Ground G 
    annotation (Placement(transformation(extent={{28,-32},{48,-12}})));
  Electrical.Sources.BatteryConstantVoltage BT 
    annotation (Placement(transformation(extent={{-64,26},{-44,46}})));
equation
  connect(BT.n, CB.p) annotation (Line(
      points={{-45,36},{-29,36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB.n, R.p) annotation (Line(
      points={{-11,36},{7,36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(R.n, G.p) annotation (Line(
      points={{25,36},{38,36},{38,-12}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(G.p, BT.p) annotation (Line(
      points={{38,-12},{-78,-12},{-78,36},{-63,36}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestCircuitBreaker;
