within AdaptP.Examples.TestModels;
model TestCircuitBreakerControlled
  "Testing the bahavior of the Circuit Breaker component"

  Electrical.Sources.BatteryConstantVoltage BAT(V=24) 
    annotation (Placement(transformation(extent={{-72,44},{-52,64}})));
  Electrical.Basic.Ground G 
    annotation (Placement(transformation(extent={{24,-40},{44,-20}})));
  Modelica.Electrical.Analog.Basic.Resistor R(R=100) 
    annotation (Placement(transformation(extent={{-10,44},{10,64}})));
  Electrical.Basic.CircuitBreakerControlled CB 
    annotation (Placement(transformation(extent={{-40,44},{-20,64}})));
  Modelica.Blocks.Sources.BooleanPulse booleanPulse 
    annotation (Placement(transformation(extent={{-66,2},{-46,22}})));
equation
  connect(G.p, BAT.p)                         annotation (Line(
      points={{34,-20},{-86,-20},{-86,54},{-71,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(R.n, G.p)             annotation (Line(
      points={{10,54},{24,54},{24,-20},{34,-20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT.n, CB.p) annotation (Line(
      points={{-53,54},{-39,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB.n, R.p) annotation (Line(
      points={{-21,54},{-10,54}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(booleanPulse.y, CB.control) annotation (Line(
      points={{-45,12},{-30,12},{-30,45}},
      color={255,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestCircuitBreakerControlled;
