within AdaptP.Examples.TestModels;
model TestContrelledSwitch

  Electrical.Sources.BatteryConstantVoltage BAT 
    annotation (Placement(transformation(extent={{-74,20},{-54,40}})));
  Modelica.Electrical.Analog.Ideal.IdealOpeningSwitch SW 
    annotation (Placement(transformation(extent={{-30,20},{-10,40}})));
  Electrical.Basic.DCResistor R 
    annotation (Placement(transformation(extent={{4,20},{24,40}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{32,-34},{52,-14}})));
  Modelica.Blocks.Sources.BooleanPulse booleanPulse 
    annotation (Placement(transformation(extent={{-58,68},{-38,88}})));
equation
  connect(BAT.n, SW.p) annotation (Line(
      points={{-55,30},{-30,30}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(SW.n, R.p) annotation (Line(
      points={{-10,30},{5,30}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(R.n, ground.p) annotation (Line(
      points={{23,30},{36,30},{36,-14},{42,-14}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ground.p, BAT.p) annotation (Line(
      points={{42,-14},{-84,-14},{-84,30},{-73,30}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(booleanPulse.y, SW.control) annotation (Line(
      points={{-37,78},{-20,78},{-20,37}},
      color={255,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestContrelledSwitch;
