within AdaptP.Examples.TestModels;
model TestInverter

  Electrical.Sources.BatteryConstantVoltage BAT(V=24) 
    annotation (Placement(transformation(extent={{-62,28},{-42,48}})));
  Electrical.Basic.DCResistor R(R=20) 
    annotation (Placement(transformation(extent={{16,28},{36,48}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{44,-28},{64,-8}})));
  Electrical.Basic.Inverter INV 
    annotation (Placement(transformation(extent={{-20,28},{0,48}})));
equation
  connect(R.n, ground.p) annotation (Line(
      points={{35,38},{54,38},{54,-8}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ground.p, BAT.p) annotation (Line(
      points={{54,-8},{-76,-8},{-76,38},{-61,38}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(INV.pAC, R.p) annotation (Line(
      points={{-1,38},{17,38}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(INV.pDC, BAT.n) annotation (Line(
      points={{-19,38},{-43,38}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestInverter;
