within AdaptP.Examples.TestModels;
model TestInverterExtended

  Electrical.Basic.InverterExtended INVE 
    annotation (Placement(transformation(extent={{-34,6},{-14,26}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{34,-36},{54,-16}})));
  Modelica.Electrical.Analog.Basic.Resistor resistor(R=20) 
    annotation (Placement(transformation(extent={{4,8},{24,28}})));
  Modelica.Electrical.Analog.Sources.ConstantVoltage constantVoltage(V=24) 
    annotation (Placement(transformation(extent={{-46,6},{-66,26}})));
equation
  connect(INVE.outt, resistor.p) annotation (Line(
      points={{-14.4,15.8},{-0.2,15.8},{-0.2,18},{4,18}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(resistor.n, ground.p) annotation (Line(
      points={{24,18},{32,18},{32,-16},{44,-16}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(constantVoltage.p, INVE.inn) annotation (Line(
      points={{-46,16},{-37.8,16},{-37.8,16.2},{-33.6,16.2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(constantVoltage.n, ground.p) annotation (Line(
      points={{-66,16},{-86,16},{-86,-16},{44,-16}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestInverterExtended;
