within AdaptP.Examples.TestModels;
model TestLargeFan

  Electrical.Sources.BatteryConstantVoltage BAT 
    annotation (Placement(transformation(extent={{-72,36},{-52,56}})));
  Electrical.Basic.Inverter INV 
    annotation (Placement(transformation(extent={{-38,36},{-18,56}})));
  Electrical.Basic.LargeFan FAN 
    annotation (Placement(transformation(extent={{-4,36},{16,56}})));
  Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{22,-20},{42,0}})));
  Sensors.SpeedTransmitter speedTransmitter 
    annotation (Placement(transformation(extent={{18,64},{38,84}})));
equation
  connect(BAT.n, INV.pDC) annotation (Line(
      points={{-53,46},{-37,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(INV.pAC, FAN.p) annotation (Line(
      points={{-19,46},{-3,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(FAN.n, ground.p) annotation (Line(
      points={{15,46},{32,46},{32,0}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT.p, ground.p) annotation (Line(
      points={{-71,46},{-92,46},{-92,0},{32,0}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(FAN.speedPort, speedTransmitter.speedPort) annotation (Line(
      points={{6,55},{6,74},{19,74}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestLargeFan;
