within AdaptP.Examples.TestModels;
model TestLightBulb

  Electrical.Sources.BatteryConstantVoltage BAT(V=24) 
    annotation (Placement(transformation(extent={{-80,22},{-60,42}})));
  Electrical.Basic.Ground G 
    annotation (Placement(transformation(extent={{28,-18},{48,2}})));
  Modelica.Electrical.Analog.Ideal.IdealClosingSwitch SW 
    annotation (Placement(transformation(extent={{-38,22},{-18,42}})));
  Electrical.Basic.LightBulb LB 
    annotation (Placement(transformation(extent={{0,22},{20,42}})));
  Modelica.Blocks.Sources.BooleanPulse booleanPulse(period=200, startTime=5) 
    annotation (Placement(transformation(extent={{-80,60},{-60,80}})));
  Sensors.TemperatureSensor TS 
    annotation (Placement(transformation(extent={{26,60},{46,80}})));
equation
  connect(BAT.p, G.p) annotation (Line(
      points={{-79,32},{-88,32},{-88,2},{38,2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT.n, SW.p) annotation (Line(
      points={{-61,32},{-38,32}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(SW.n, LB.p) annotation (Line(
      points={{-18,32},{1,32}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(LB.n, G.p) annotation (Line(
      points={{19,32},{38,32},{38,2}},
      color={0,0,255},
      smooth=Smooth.None));

  connect(booleanPulse.y, SW.control) annotation (Line(
      points={{-59,70},{-28,70},{-28,39}},
      color={255,0,255},
      smooth=Smooth.None));
  connect(TS.port, LB.heatPort) annotation (Line(
      points={{27,70},{10,70},{10,41}},
      color={127,0,0},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end TestLightBulb;
