within AdaptP.Modules;
model BatteryCabinet

  Electrical.Interfaces.Pin pin1 
    annotation (Placement(transformation(extent={{92,66},{100,74}})));
  Electrical.Interfaces.Pin pin2 
    annotation (Placement(transformation(extent={{92,-4},{100,4}})));
  Electrical.Interfaces.Pin pin3 
    annotation (Placement(transformation(extent={{92,-74},{100,-66}})));
  Electrical.Sources.BatteryConstantVoltage BAT1 
    annotation (Placement(transformation(extent={{-80,60},{-60,80}})));
  Electrical.Sources.BatteryConstantVoltage BAT2 
    annotation (Placement(transformation(extent={{-80,-10},{-60,10}})));
  Electrical.Sources.BatteryConstantVoltage BAT3 
    annotation (Placement(transformation(extent={{-80,-80},{-60,-60}})));
  Electrical.Basic.CircuitBreaker CB136 
    annotation (Placement(transformation(extent={{-18,60},{2,80}})));
  Electrical.Basic.CircuitBreaker CB236 
    annotation (Placement(transformation(extent={{-20,-10},{0,10}})));
  Electrical.Basic.CircuitBreaker CB336 
    annotation (Placement(transformation(extent={{-20,-80},{0,-60}})));
  Sensors.PositionSensor ISH136 
    annotation (Placement(transformation(extent={{22,76},{42,96}})));
  Sensors.PositionSensor ISH236 
    annotation (Placement(transformation(extent={{20,10},{40,30}})));
  Sensors.PositionSensor ISH336 
    annotation (Placement(transformation(extent={{20,-60},{40,-40}})));
  Electrical.Interfaces.Pin pin 
    annotation (Placement(transformation(extent={{-90,-100},{-82,-92}})));
equation
  connect(BAT1.n, CB136.p) annotation (Line(
      points={{-61,70},{-17,70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT2.n, CB236.p) annotation (Line(
      points={{-61,0},{-19,0}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT3.n, CB336.p) annotation (Line(
      points={{-61,-70},{-19,-70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB136.n, pin1) annotation (Line(
      points={{1,70},{96,70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB236.n, pin2) annotation (Line(
      points={{-1,0},{96,0}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB336.n, pin3) annotation (Line(
      points={{-1,-70},{96,-70}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ISH136.posPort, CB136.posPort) annotation (Line(
      points={{23,86},{-8,86},{-8,79}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ISH236.posPort, CB236.posPort) annotation (Line(
      points={{21,20},{-10,20},{-10,9}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ISH336.posPort, CB336.posPort) annotation (Line(
      points={{21,-50},{-10,-50},{-10,-61}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT1.p, pin) annotation (Line(
      points={{-79,70},{-86,70},{-86,-96}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT2.p, pin) annotation (Line(
      points={{-79,0},{-86,0},{-86,-96}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(BAT3.p, pin) annotation (Line(
      points={{-79,-70},{-86,-70},{-86,-96}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),
                      graphics), Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3), graphics={Bitmap(extent={{-72,98},{56,-100}},
            fileName="modelica://AdaptP/../Icons/BatteryCabinet.jpg")}));
end BatteryCabinet;
