within AdaptP;
package SIUnits "SI Units"
  type ElectricPotential = Real (final quantity="ElectricPotential", final unit
        =                                                                       "V");
  type Voltage = ElectricPotential;
  type ElectricCurrent = Real (final quantity="ElectricCurrent", final unit="A");
  type Current = ElectricCurrent;
  type Resistance = Real (final quantity="Resistance", final unit="Ohm");
  type Power = Real (final quantity="Power", final unit="W");

  type ThermodynamicTemperature = Real (
      final quantity="ThermodynamicTemperature",
      final unit="K",
      min = 0,
      displayUnit="degC")
    "Absolute temperature (use type TemperatureDifference for relative temperatures)";
  type Temp_K = ThermodynamicTemperature;
  type Temperature = ThermodynamicTemperature;
  type HeatFlowRate = Real (final quantity="Power", final unit="W");
  type Conductance = Real ( final quantity="Conductance",final unit="S");
end SIUnits;
