within AdaptP.Sensors;
model CurrentSensor "DC Current Transmiter"

  Interfaces.RealOutput i annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=90,
        origin={0,90})));
  Electrical.Interfaces.PositivePin p annotation (Placement(
        transformation(extent={{-100,-10},{-80,10}}), iconTransformation(extent=
           {{-100,-10},{-80,10}})));
  Electrical.Interfaces.NegativePin n annotation (Placement(
        transformation(extent={{80,-10},{100,10}}), iconTransformation(extent={{
            80,-10},{100,10}})));
  //FM = 0 Nominal
  //FM = 1 Drift
  //FM = 2 Offset
  //FM = 3 IntermittentOffset
  //FM = 4 Stuck
  parameter Integer FM = 0;
  parameter SI.Current current_offset = 2;
  parameter SI.Current current_stuck = 2;
  SI.Current ci;
equation
  p.v = n.v;
  p.i = i;
  //n.i = -i;
  n.i = ci;
   i = if 
        (FM==0) then ci else 
      if 
        (FM==1) then ci + 0.5 else 
      if 
        (FM==2) then ci + current_offset else 
      if 
        (FM==3) then ci + current_offset else 
      if 
        (FM==4) then current_stuck else 
      ci;
  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}}), graphics),                Icon(coordinateSystem(
          preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics={Bitmap(
            extent={{-100,100},{100,-100}}, fileName=
              "../../Icons/CurrentSensor.bmp"), Text(
          extent={{-54,-65},{246,-105}},
          textString="%name",
          lineColor={0,0,255})}));
end CurrentSensor;
