within AdaptP.Sensors;
model PositionSensor

  Interfaces.PositionPort posPort  annotation (Placement(transformation(
          extent={{-100,-10},{-80,10}}), iconTransformation(extent={{-100,-10},{
            -80,10}})));
  Interfaces.BooleanOutput posOutput annotation (Placement(transformation(
          extent={{80,-10},{100,10}}), iconTransformation(extent={{80,-10},{100,
            10}})));
  //FM = 0 Nominal
  //FM = 1 Stuck
  parameter Integer FM = 0;
equation
  posOutput = if (FM==0) then posPort.pos else not posPort.pos;
  annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
            -100},{100,100}}), graphics={Bitmap(extent={{-100,100},{100,-100}},
            fileName="../../Icons/PositionSensor.bmp"), Text(
          extent={{-194,107},{106,67}},
          textString="%name",
          lineColor={0,0,255})}));
end PositionSensor;
