within AdaptP.Sensors;
model SpeedTransmitter "Speed (RPM) Transmitter"

  Interfaces.RealOutput RPM 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
  Interfaces.SpeedPort speedPort 
    annotation (Placement(transformation(extent={{-100,-10},{-80,10}})));
  //FM = 0 Nominal
  //FM = 1 Drift
  //FM = 2 Offset
  //FM = 3 IntermittentOffset
  //FM = 4 Stuck
  parameter Integer FM = 0;
  parameter Real speed_offset = 200;
  parameter Real speed_stuck = 500;
equation
   RPM = if 
        (FM==0) then speedPort.s else 
      if 
        (FM==1) then speedPort.s else 
      if 
        (FM==2) then speedPort.s + speed_offset else 
      if 
        (FM==3) then speedPort.s + speed_offset else 
      if 
        (FM==4) then speed_stuck else 
      speedPort.s;
  annotation (Icon(graphics={Bitmap(extent={{-68,68},{74,-68}}, fileName=
              "modelica://AdaptP/../Icons/RpmSensor.jpg"),
        Text(
          extent={{-150,111},{150,71}},
          textString="%name",
          lineColor={0,0,255})}));
end SpeedTransmitter;
