within AdaptP.Sensors;
model TemperatureSensor "Temperature Sensor"

  Interfaces.RealOutput T 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
  Interfaces.HeatPort port 
    annotation (Placement(transformation(extent={{-100,-10},{-80,10}})));
  //FM = 0 Nominal
  //FM = 1 Drift
  //FM = 2 Offset
  //FM = 3 IntermittentOffset
  //FM = 4 Stuck
  parameter Integer FM = 0;
  parameter Real temp_offset = 5;
  parameter Real temp_stuck = 10;
equation
  T = if 
        (FM==0) then port.T else 
      if 
        (FM==1) then port.T else 
      if 
        (FM==2) then port.T + temp_offset else 
      if 
        (FM==3) then port.T + temp_offset else 
      if 
        (FM==4) then temp_stuck else 
      port.T;
  port.Q_flow = 0;
  annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}}), graphics={
        Ellipse(
          extent={{-12,-98},{28,-60}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={191,0,0},
          fillPattern=FillPattern.Solid),
        Rectangle(
          extent={{-4,40},{20,-68}},
          lineColor={191,0,0},
          fillColor={191,0,0},
          fillPattern=FillPattern.Solid),
        Line(points={{20,0},{98,0}}, color={0,0,255}),
        Line(points={{-82,0},{-4,0}}, color={191,0,0}),
        Polygon(
          points={{-4,40},{-4,80},{-2,86},{2,88},{8,90},{14,88},{18,86},{20,80},
              {20,40},{-4,40}},
          lineColor={0,0,0},
          lineThickness=0.5),
        Line(
          points={{-4,40},{-4,-64}},
          color={0,0,0},
          thickness=0.5),
        Line(
          points={{20,40},{20,-64}},
          color={0,0,0},
          thickness=0.5),
        Line(points={{-32,-20},{-4,-20}}, color={0,0,0}),
        Line(points={{-32,20},{-4,20}}, color={0,0,0}),
        Line(points={{-32,60},{-4,60}}, color={0,0,0}),
        Text(
          extent={{84,-44},{42,-86}},
          lineColor={0,0,0},
          textString="K"),
        Text(
          extent={{-204,103},{96,63}},
          textString="%name",
          lineColor={0,0,255})}));
end TemperatureSensor;
