within AdaptP.Sensors;
model VoltageSensor

  Electrical.Interfaces.PositivePin p 
    annotation (Placement(transformation(extent={{-10,80},{10,100}})));
  Electrical.Interfaces.NegativePin n 
    annotation (Placement(transformation(extent={{-10,-100},{10,-80}})));
  Interfaces.RealOutput v 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));

  //FM = 0 Nominal
  //FM = 1 Drift
  //FM = 2 Offset
  //FM = 3 IntermittentOffset
  //FM = 4 Stuck
  parameter Integer FM = 0;
  parameter SI.Voltage voltage_offset = 5;
  parameter SI.Voltage voltage_stuck = 23;
  SI.Voltage vi;
equation
  p.i = 0;
  n.i = 0;
  vi = n.v - p.v;

  v = if 
        (FM==0) then vi else 
      if 
        (FM==1) then vi + 0.5 else 
      if 
        (FM==2) then vi + voltage_offset else 
      if 
        (FM==3) then vi + voltage_offset else 
      if 
        (FM==4) then voltage_stuck else 
      vi;
  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}}), graphics), Icon(coordinateSystem(
          preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics={
          Bitmap(extent={{-88,76},{86,-86}}, fileName=
              "../../Icons/VoltageSensor.bmp"), Text(
          extent={{-36,-61},{264,-101}},
          textString="%name",
          lineColor={0,0,255})}));
end VoltageSensor;
