within AdaptR.Electrical.Sources;
model BatteryConstantVoltage
  parameter Real lambda = 0.01;
  Real P;
  Real FP;
  AdaptR.Interfaces.RelCon rn 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
  P = exp(-lambda*time);
  FP = 1 - P;
  rn.fp = FP;
  annotation (Icon(graphics={
          Text(
          extent={{-152,-63},{148,-103}},
          textString="%name",
          lineColor={0,0,255}),
        Rectangle(
          extent={{-88,36},{72,-52}},
          lineColor={0,0,255},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={0,0,255}),
        Rectangle(
          extent={{-96,-52},{80,-66}},
          lineColor={0,0,255},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={0,0,0}),
        Rectangle(
          extent={{-96,48},{80,36}},
          lineColor={0,0,255},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={0,0,0}),
        Rectangle(
          extent={{-78,54},{-40,48}},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={255,255,0},
          pattern=LinePattern.None),
        Rectangle(
          extent={{22,54},{60,48}},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={255,255,0},
          pattern=LinePattern.None),
        Rectangle(
          extent={{-64,70},{-52,54}},
          pattern=LinePattern.None,
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          lineColor={0,0,0}),
        Rectangle(
          extent={{36,70},{48,54}},
          pattern=LinePattern.None,
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          lineColor={0,0,0}),
        Text(
          extent={{-100,-90},{-100,-88}},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          textString="fffff",
          pattern=LinePattern.None,
          lineColor={0,0,0}),
        Text(
          extent={{-98,98},{-16,66}},
          lineColor={0,0,0},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          textString="+"),
        Text(
          extent={{2,100},{84,68}},
          lineColor={0,0,0},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          textString="-")}));
end BatteryConstantVoltage;
