within DarpaRLC.Components;
model InductorH
  extends Modelica.Electrical.Analog.Interfaces.OnePort;
  parameter Modelica.SIunits.Inductance L(start=1) "Inductance";
  parameter Modelica.SIunits.Temperature Tref=300.15;
 parameter Real alpha=10;
  Modelica.SIunits.Inductance Lfinal;
  Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a heatPort 
    annotation (Placement(transformation(extent={{-10,84},{10,104}})));
equation
 Lfinal*der(i) = v;
 Lfinal = L*(1 + alpha*(heatPort.T - Tref));
  annotation (Icon(graphics={
        Ellipse(extent={{-60,-15},{-30,15}}, lineColor={0,0,255}),
        Ellipse(extent={{-30,-15},{0,15}}, lineColor={0,0,255}),
        Ellipse(extent={{0,-15},{30,15}}, lineColor={0,0,255}),
        Ellipse(extent={{30,-15},{60,15}}, lineColor={0,0,255}),
        Rectangle(
          extent={{-60,-30},{60,0}},
          lineColor={255,255,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Line(points={{60,0},{90,0}}, color={0,0,255}),
        Line(points={{-90,0},{-60,0}}, color={0,0,255}),
        Text(
          extent={{-132,-34},{150,-68}},
          lineColor={0,0,0},
          textString="L=%L"),
        Text(
          extent={{-150,81},{150,41}},
          textString="%name",
          lineColor={0,0,255}),
        Text(
          extent={{56,98},{110,50}},
          lineColor={0,0,255},
          textString="T")}), Diagram(graphics));
end InductorH;
