within DarpaRLC.TestExamples;
model RLCEX02
  Modelica.Electrical.Analog.Basic.Resistor resistor(R=2) 
    annotation (Placement(transformation(extent={{-38,36},{-18,56}})));
  Modelica.Electrical.Analog.Basic.Inductor inductor(L=0.001) annotation (
      Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=-90,
        origin={12,28})));
  Modelica.Electrical.Analog.Basic.Capacitor capacitor(C=0.000680) 
    annotation (Placement(transformation(extent={{-32,-2},{-12,18}})));
  Modelica.Electrical.Analog.Basic.Ground ground 
    annotation (Placement(transformation(extent={{12,-30},{32,-10}})));
  Modelica.Electrical.Analog.Sources.SineVoltage sineVoltage(V=1, freqHz=10) 
    annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=-90,
        origin={-54,30})));
equation
  connect(resistor.n, inductor.p) annotation (Line(
      points={{-18,46},{12,46},{12,38}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(inductor.n, capacitor.n) annotation (Line(
      points={{12,18},{12,8},{-12,8}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(inductor.n, ground.p) annotation (Line(
      points={{12,18},{18,18},{18,-10},{22,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(sineVoltage.p, resistor.p) annotation (Line(
      points={{-54,40},{-54,46},{-38,46}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(sineVoltage.n, capacitor.p) annotation (Line(
      points={{-54,20},{-54,8},{-32,8}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end RLCEX02;
