within DarpaRLC.TestExamples;
model RLCMotorEX01
  Modelica.Electrical.Analog.Basic.Resistor Res(R=0.5) 
    annotation (Placement(transformation(extent={{-50,42},{-30,62}})));
  Modelica.Electrical.Analog.Basic.Ground Grnd 
    annotation (Placement(transformation(extent={{28,-18},{48,2}})));
  Modelica.Electrical.Analog.Basic.Inductor Ind(L=0.05) 
    annotation (Placement(transformation(extent={{-14,42},{6,62}})));
  Modelica.Electrical.Analog.Basic.EMF emf(k=1) 
    annotation (Placement(transformation(extent={{28,20},{48,40}})));
  Modelica.Mechanics.Rotational.Components.Inertia Iner1(J=0.001) 
    annotation (Placement(transformation(extent={{54,20},{74,40}})));
  Modelica.Electrical.Analog.Sources.SignalVoltage signalVoltage annotation (
      Placement(transformation(
        extent={{-10,10},{10,-10}},
        rotation=-90,
        origin={-50,28})));
  Modelica.Blocks.Sources.Step step 
    annotation (Placement(transformation(extent={{-92,18},{-72,38}})));
equation
  connect(Res.n, Ind.p) annotation (Line(
      points={{-30,52},{-14,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(emf.n, Grnd.p) annotation (Line(
      points={{38,20},{38,2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(emf.flange, Iner1.flange_a) annotation (Line(
      points={{48,30},{54,30}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(Ind.n, emf.p) annotation (Line(
      points={{6,52},{38,52},{38,40}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(signalVoltage.p, Res.p) annotation (Line(
      points={{-50,38},{-50,52}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(signalVoltage.n, Grnd.p) annotation (Line(
      points={{-50,18},{-50,2},{38,2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(step.y, signalVoltage.v) annotation (Line(
      points={{-71,28},{-57,28}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end RLCMotorEX01;
