within DarpaRLC.TestExamples;
model RLCMotorEX04H

  Modelica.Mechanics.Rotational.Components.Inertia Iner1(J=0.01) 
    annotation (Placement(transformation(extent={{6,38},{26,58}})));
  Modelica.Blocks.Sources.Step step 
    annotation (Placement(transformation(extent={{-132,38},{-112,58}})));
  Modelica.Mechanics.Rotational.Components.Spring spring(c=50) 
    annotation (Placement(transformation(extent={{54,38},{74,58}})));
  Modelica.Mechanics.Rotational.Components.Inertia Iner2(J=0.005) 
    annotation (Placement(transformation(extent={{84,38},{104,58}})));
  Components.MotorH motorH 
    annotation (Placement(transformation(extent={{-68,40},{-48,60}})));
equation
  connect(Iner1.flange_b, spring.flange_a) annotation (Line(
      points={{26,48},{54,48}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(spring.flange_b, Iner2.flange_a) annotation (Line(
      points={{74,48},{84,48}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(step.y, motorH.u) 
                           annotation (Line(
      points={{-111,48},{-94,48},{-94,50.2},{-67.2,50.2}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(motorH.flange_b, Iner1.flange_a) 
                                          annotation (Line(
      points={{-48.4,50.2},{-16.2,50.2},{-16.2,48},{6,48}},
      color={0,0,0},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-150,-100},
            {150,100}}),       graphics), Icon(coordinateSystem(
          preserveAspectRatio=true, extent={{-150,-100},{150,100}})));
end RLCMotorEX04H;
