within RampMETA.Electrical.Basic;
model Relay "Relay"

  extends RampMETA.Electrical.Interfaces.OnePort;
  parameter Boolean command=true;  //true = closed, false=open
  parameter Modelica.SIunits.Resistance Ron(final min=0)=1.E-5
    "Closed relay resistance";
  RampMETA.Electrical.Interfaces.PositionPort posPort 
    annotation (Placement(transformation(extent={{-10,80},{10,100}})));
  //FM=0 NominalClosed
  //FM=1 NominalOpen
  //FM=2 StuckOpen
  //FM=3 StuckClosed
  parameter Integer FM(max=3) = 0;
  Boolean command_i;

equation
  command_i = if (FM==0) then  true else 
              if (FM==1) then false else 
              if (FM==2) then false else 
              if (FM==3) then true else 
             command;

  posPort.pos = command_i;
  //relay is open command = false
  //relay is closed command = true
  i = if (command_i) then v/Ron else 0.0001;
  annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
            -100},{100,100}}), graphics={Bitmap(extent={{-80,90},{76,-78}},
            fileName="modelica://RampMETA/Icons/relay.jpg"),
                                                           Text(
          extent={{-152,-65},{148,-105}},
          textString="%name",
          lineColor={0,0,255})}));
end Relay;
