within RampMETA.Electrical.Interfaces;
partial model OnePort
  "Component with two electrical pins p and n and current i from p to n"

  Modelica.SIunits.Voltage v "Voltage drop between the two pins (= p.v - n.v)";
  Modelica.SIunits.Current i "Current flowing from pin p to pin n";
  RampMETA.Electrical.Interfaces.PositivePin p 
    annotation (Placement(transformation(extent={{-100,-12},{-80,8}}),
        iconTransformation(extent={{-100,-10},{-80,10}})));
  RampMETA.Electrical.Interfaces.NegativePin n 
    annotation (Placement(transformation(extent={{80,-10},{100,10}})));
equation
   v = p.v - n.v;
   0 = p.i + n.i;
   i = p.i;
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
            -100},{100,100}}),
                         graphics), Icon(coordinateSystem(preserveAspectRatio=
            false, extent={{-100,-100},{100,100}}), graphics));
end OnePort;
