within RampMETA.Electrical.Sources;
model BatteryConstantVoltage "Battery Constant Voltage Power Source"
  //FM = 0 Nominal
  //FM = 1 AbruptParasiticLoad
  parameter Integer FM(max=1) = 0;

  parameter Modelica.SIunits.Voltage V=24;
                                       //Value of constant voltage
  parameter Modelica.SIunits.Voltage V_deg=21;
                                        //Degraded voltage when abrupt parasitic load

  extends RampMETA.Electrical.Interfaces.OnePort;

  //Integer FM_state;

equation
  v = if (FM == 0) then V else V_deg;

  annotation (Diagram(graphics), Icon(coordinateSystem(preserveAspectRatio=true,
          extent={{-100,-100},{100,100}}), graphics={
          Text(
          extent={{-144,-67},{156,-107}},
          textString="%name",
          lineColor={0,0,255}),
        Rectangle(
          extent={{-80,32},{80,-56}},
          lineColor={0,0,255},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={0,0,255}),
        Rectangle(
          extent={{-88,-56},{88,-70}},
          lineColor={0,0,255},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={0,0,0}),
        Rectangle(
          extent={{-88,44},{88,32}},
          lineColor={0,0,255},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={0,0,0}),
        Rectangle(
          extent={{-70,50},{-32,44}},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={255,255,0},
          pattern=LinePattern.None),
        Rectangle(
          extent={{30,50},{68,44}},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={255,255,0},
          pattern=LinePattern.None),
        Rectangle(
          extent={{-56,66},{-44,50}},
          pattern=LinePattern.None,
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          lineColor={0,0,0}),
        Rectangle(
          extent={{44,66},{56,50}},
          pattern=LinePattern.None,
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          lineColor={0,0,0}),
        Text(
          extent={{-92,-94},{-92,-92}},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          textString="fffff",
          pattern=LinePattern.None,
          lineColor={0,0,0}),
        Text(
          extent={{-90,94},{-8,62}},
          lineColor={0,0,0},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          textString="+"),
        Text(
          extent={{10,96},{92,64}},
          lineColor={0,0,0},
          fillPattern=FillPattern.VerticalCylinder,
          fillColor={127,0,0},
          textString="-")}));
end BatteryConstantVoltage;
