within RampMETA.Electrical.Subystems;
model EPSDesign01
  import RampMETA.Electrical.Basic.*;
  import RampMETA.Electrical.Sources.*;
  WaterPump Pump annotation (Placement(transformation(extent={{132,-66},{152,-46}})));
  LargeFan Fan annotation (Placement(transformation(extent={{130,6},{150,26}})));
  LightBulb Light annotation (Placement(transformation(extent={{130,-30},{150,-10}})));
  Relay RL6 annotation (Placement(transformation(extent={{100,-66},{120,-46}})));
  Relay RL76 annotation (Placement(transformation(extent={{98,-30},{118,-10}})));
  Relay RL77 annotation (Placement(transformation(extent={{98,6},{118,26}})));
  ACBus ACBus1 annotation (Placement(transformation(extent={{60,-30},{80,-10}})));
  DCBus DCBus1 annotation (Placement(transformation(extent={{-50,16},{-30,36}})));
  Relay RL10 annotation (Placement(transformation(extent={{16,34},{36,54}})));
  CircuitBreaker CB annotation (Placement(transformation(extent={{-10,34},{10,54}})));
  PGBus PGBus1 annotation (Placement(transformation(extent={{-102,16},{-82,36}})));
  BatteryConstantVoltage Battery annotation (Placement(transformation(extent={{-180,16},
            {-160,36}})));
  Relay RL13 annotation (Placement(transformation(extent={{-128,16},{-108,36}})));
  CircuitBreaker CB4 annotation (Placement(transformation(extent={{-154,16},{-134,
            36}})));
  Relay RL15 annotation (Placement(transformation(extent={{-74,16},{-54,36}})));
  CircuitBreaker CB2 annotation (Placement(transformation(extent={{-14,-30},{6,-10}})));
  CircuitBreaker CB3 annotation (Placement(transformation(extent={{38,-30},{58,-10}})));
  InverterC Inverter1 annotation (Placement(transformation(extent={{10,-30},{30,
            -10}})));
  Ground gnd   annotation (Placement(transformation(extent={{174,-92},{194,-72}})));
  Basic.EMFGeneratorR eMFGeneratorR 
    annotation (Placement(transformation(extent={{54,34},{74,54}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation (
      Placement(transformation(extent={{180,-10},{200,10}}), iconTransformation(
          extent={{180,-10},{200,10}})));
  Modelica.Blocks.Interfaces.RealInput u annotation (Placement(transformation(
        extent={{20,-20},{-20,20}},
        rotation=-90,
        origin={-94,-100}),iconTransformation(
        extent={{20,-20},{-20,20}},
        rotation=180,
        origin={-180,0})));
equation
  connect(CB3.n,ACBus1.p) 
                         annotation (Line(points={{57,-20},{61,-20}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(Inverter1.n,CB3.p) 
                            annotation (Line(points={{29,-20},{39,-20}},
                                                                     color={0,0,255},smooth=Smooth.None));
  connect(CB2.n,Inverter1.p) 
                            annotation (Line(points={{5,-20},{11,-20}},
                                                                     color={0,0,255},smooth=Smooth.None));
  connect(DCBus1.n,CB2.p) 
                         annotation (Line(points={{-31,26},{-24,26},{-24,-20},{-13,
          -20}},                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL15.n,DCBus1.p) 
                          annotation (Line(points={{-55,26},{-49,26}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(PGBus1.n,RL15.p) 
                          annotation (Line(points={{-83,26},{-73,26}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(RL13.n,PGBus1.p) 
                          annotation (Line(points={{-109,26},{-101,26}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(CB4.n,RL13.p) 
                       annotation (Line(points={{-135,26},{-127,26}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(Battery.n,CB4.p) 
                          annotation (Line(points={{-161,26},{-153,26}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(DCBus1.n,CB.p) 
                        annotation (Line(points={{-31,26},{-24,26},{-24,44},{-9,
          44}},                                                  color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL6.p) 
                         annotation (Line(points={{79,-20},{90,-20},{90,-56},{101,
          -56}},                                                  color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL76.p) 
                          annotation (Line(points={{79,-20},{99,-20}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(ACBus1.n,RL77.p) 
                          annotation (Line(points={{79,-20},{90,-20},{90,16},{99,
          16}},                                                    color={0,0,255},smooth=Smooth.None));
  connect(CB.n,RL10.p) 
                      annotation (Line(points={{9,44},{17,44}},color={0,0,255},smooth=Smooth.None));
  connect(RL77.n,Fan.p) 
                       annotation (Line(points={{117,16},{131,16}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(RL76.n,Light.p) 
                         annotation (Line(points={{117,-20},{131,-20}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL6.n,Pump.p) 
                       annotation (Line(points={{119,-56},{133,-56}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(Battery.p,gnd.p) 
                          annotation (Line(points={{-179,26},{-192.5,26},{-192.5,
          -72},{184,-72}},                                         color={0,0,255},smooth=Smooth.None));
  connect(Light.n,gnd.p) 
                        annotation (Line(points={{149,-20},{184.5,-20},{184.5,-72},
          {184,-72}},                                            color={0,0,255},smooth=Smooth.None));
  connect(Fan.n,gnd.p) 
                      annotation (Line(points={{149,16},{184.5,16},{184.5,-72},{
          184,-72}},                                           color={0,0,255},smooth=Smooth.None));
  connect(Pump.n,gnd.p) 
                       annotation (Line(points={{151,-56},{184.5,-56},{184.5,-72},
          {184,-72}},                                           color={0,0,255},smooth=Smooth.None));
  connect(RL10.n, eMFGeneratorR.p) annotation (Line(
      points={{35,44},{55,44}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(eMFGeneratorR.n, gnd.p) annotation (Line(
      points={{73,44},{184,44},{184,-72}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(eMFGeneratorR.flange_b, flange_b) annotation (Line(
      points={{64.2,53.8},{189.1,53.8},{189.1,0},{190,0}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(eMFGeneratorR.tau, u) annotation (Line(
      points={{65,32.2},{65,-55.9},{-94,-55.9},{-94,-100}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (
    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,
            100}}),                                                                     graphics),
    Icon(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,100}}),
        graphics={Bitmap(extent={{-206,100},{188,-88}}, fileName="modelica://RampMETA/Icons/battery_system.jpeg")}),
    uses(Modelica(version="3.1")));
end EPSDesign01;
