within RampMETA.Electrical.Subystems;
model EPSDesign02
  import RampMETA.Electrical.Basic.*;
  import RampMETA.Electrical.Sources.*;
  WaterPump Pump annotation (Placement(transformation(extent={{132,-66},{152,-46}})));
  LargeFan Fan annotation (Placement(transformation(extent={{130,6},{150,26}})));
  LightBulb Light annotation (Placement(transformation(extent={{130,-30},{150,-10}})));
  Relay RL6 annotation (Placement(transformation(extent={{100,-66},{120,-46}})));
  Relay RL76 annotation (Placement(transformation(extent={{98,-30},{118,-10}})));
  Relay RL77 annotation (Placement(transformation(extent={{98,6},{118,26}})));
  DCBus DCBus1 annotation (Placement(transformation(extent={{-50,16},{-30,36}})));
  Relay RL10 annotation (Placement(transformation(extent={{14,42},{34,62}})));
  CircuitBreaker CB annotation (Placement(transformation(extent={{-12,42},{8,62}})));
  PGBus PGBus1 annotation (Placement(transformation(extent={{-102,16},{-82,36}})));
  BatteryConstantVoltage Battery annotation (Placement(transformation(extent={{-168,18},
            {-184,34}})));
  Relay RL13 annotation (Placement(transformation(extent={{-128,16},{-108,36}})));
  CircuitBreaker CB4 annotation (Placement(transformation(extent={{-154,16},{-134,
            36}})));
  Relay RL15 annotation (Placement(transformation(extent={{-74,16},{-54,36}})));
  CircuitBreaker CB2(command=true) 
                     annotation (Placement(transformation(extent={{-10,16},{10,
            36}})));
  InverterC Inverter1 annotation (Placement(transformation(extent={{38,16},{58,
            36}})));
  Ground gnd   annotation (Placement(transformation(extent={{174,-92},{194,-72}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation (
      Placement(transformation(extent={{174,42},{194,62}}),  iconTransformation(
          extent={{174,42},{194,62}})));
  Modelica.Blocks.Interfaces.RealInput u annotation (Placement(transformation(
        extent={{20,-20},{-20,20}},
        rotation=-90,
        origin={-94,-100}),iconTransformation(
        extent={{20,-20},{-20,20}},
        rotation=180,
        origin={-180,0})));
  Mechanics.Rotational.Sources.Torque torque 
    annotation (Placement(transformation(extent={{58,62},{78,82}})));
  Basic.EMFGenerator eMFGenerator 
    annotation (Placement(transformation(extent={{106,34},{126,54}})));
  CircuitBreaker CB1(command=true) 
                     annotation (Placement(transformation(extent={{72,-18},{92,
            2}})));
  CircuitBreaker CB3(command=true) 
                     annotation (Placement(transformation(extent={{64,16},{84,
            36}})));
equation
  connect(DCBus1.n,CB2.p) 
                         annotation (Line(points={{-31,26},{-9,26}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL15.n,DCBus1.p) 
                          annotation (Line(points={{-55,26},{-49,26}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(PGBus1.n,RL15.p) 
                          annotation (Line(points={{-83,26},{-73,26}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(RL13.n,PGBus1.p) 
                          annotation (Line(points={{-109,26},{-101,26}},
                                                                   color={0,0,255},smooth=Smooth.None));
  connect(CB4.n,RL13.p) 
                       annotation (Line(points={{-135,26},{-127,26}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(DCBus1.n,CB.p) 
                        annotation (Line(points={{-31,26},{-18,26},{-18,52},{
          -11,52}},                                              color={0,0,255},smooth=Smooth.None));
  connect(CB.n,RL10.p) 
                      annotation (Line(points={{7,52},{15,52}},color={0,0,255},smooth=Smooth.None));
  connect(RL77.n,Fan.p) 
                       annotation (Line(points={{117,16},{131,16}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(RL76.n,Light.p) 
                         annotation (Line(points={{117,-20},{131,-20}},
                                                                  color={0,0,255},smooth=Smooth.None));
  connect(RL6.n,Pump.p) 
                       annotation (Line(points={{119,-56},{133,-56}},
                                                                color={0,0,255},smooth=Smooth.None));
  connect(Light.n,gnd.p) 
                        annotation (Line(points={{149,-20},{184.5,-20},{184.5,-72},
          {184,-72}},                                            color={0,0,255},smooth=Smooth.None));
  connect(Fan.n,gnd.p) 
                      annotation (Line(points={{149,16},{184.5,16},{184.5,-72},{
          184,-72}},                                           color={0,0,255},smooth=Smooth.None));
  connect(Pump.n,gnd.p) 
                       annotation (Line(points={{151,-56},{184.5,-56},{184.5,-72},
          {184,-72}},                                           color={0,0,255},smooth=Smooth.None));
  connect(u, torque.tau) annotation (Line(
      points={{-94,-100},{-194,-100},{-194,72},{56,72}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(flange_b, torque.flange) annotation (Line(
      points={{184,52},{184,72},{78,72}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(Battery.n, gnd.p) annotation (Line(
      points={{-183.2,26},{-186,26},{-186,-72},{184,-72}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Battery.p, CB4.p) annotation (Line(
      points={{-168.8,26},{-153,26}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(eMFGenerator.flange_b, flange_b) annotation (Line(
      points={{116.2,53.8},{138.1,53.8},{138.1,52},{184,52}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(eMFGenerator.n, gnd.p) annotation (Line(
      points={{125,44},{184,44},{184,-72}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Inverter1.p, CB2.n) annotation (Line(
      points={{39,26},{9,26}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(RL10.n, Inverter1.p) annotation (Line(
      points={{33,52},{34,52},{34,26},{39,26}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Inverter1.n, CB3.p) annotation (Line(
      points={{57,26},{65,26}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB3.n, eMFGenerator.p) annotation (Line(
      points={{83,26},{94,26},{94,44},{107,44}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB3.n, CB1.p) annotation (Line(
      points={{83,26},{78,26},{78,-8},{73,-8}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB1.n, RL77.p) annotation (Line(
      points={{91,-8},{91,4},{99,4},{99,16}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB1.n, RL76.p) annotation (Line(
      points={{91,-8},{94,-8},{94,-20},{99,-20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(CB1.n, RL6.p) annotation (Line(
      points={{91,-8},{96,-8},{96,-56},{101,-56}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (
    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,
            100}}),                                                                     graphics),
    Icon(coordinateSystem(preserveAspectRatio=true, extent={{-200,-100},{200,100}}),
        graphics={Bitmap(extent={{-206,100},{188,-88}}, fileName="modelica://RampMETA/Icons/battery_system.jpeg")}),
    uses(Modelica(version="3.1")));
end EPSDesign02;
