within RampMETA.Electrical.Subystems;
model EPSSubsystem00

  Basic.Ground ground 
    annotation (Placement(transformation(extent={{38,-40},{58,-20}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b 
    annotation (Placement(transformation(extent={{90,-10},{110,10}})));
  Modelica.Blocks.Interfaces.RealInput u(start=0) 
    annotation (Placement(transformation(extent={{-132,-20},{-92,20}})));
  Sources.BatteryConstantVoltage Battery 
    annotation (Placement(transformation(extent={{-58,12},{-38,32}})));
  Basic.EMFGeneratorR eMFGeneratorR 
    annotation (Placement(transformation(extent={{-4,12},{16,32}})));
equation
  connect(Battery.n, eMFGeneratorR.p) annotation (Line(
      points={{-39,22},{-3,22}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(eMFGeneratorR.n, ground.p) annotation (Line(
      points={{15,22},{48,22},{48,-20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(Battery.p, ground.p) annotation (Line(
      points={{-57,22},{-68,22},{-68,-20},{48,-20}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(u, eMFGeneratorR.tau) annotation (Line(
      points={{-112,0},{8,0},{8,10.2},{7,10.2}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(eMFGeneratorR.flange_b, flange_b) annotation (Line(
      points={{6.2,31.8},{73.1,31.8},{73.1,0},{100,0}},
      color={0,0,0},
      smooth=Smooth.None));
  annotation (Diagram(graphics), Icon(graphics={Bitmap(extent={{-84,62},{82,-66}},
            fileName="modelica://RampMETA/Icons/battery_system.jpeg")}));
end EPSSubsystem00;
