within RampMETA.Electrical.Subystems;
model EPSSubsystem02

  Basic.EMFGenerator eMFGenerator 
    annotation (Placement(transformation(extent={{2,8},{22,28}})));
  Basic.Ground ground 
    annotation (Placement(transformation(extent={{28,-30},{48,-10}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b 
    annotation (Placement(transformation(extent={{90,-10},{110,10}})));
  Modelica.Blocks.Interfaces.RealInput u(start=0) 
    annotation (Placement(transformation(extent={{-132,-20},{-92,20}})));
  Modelica.Electrical.Analog.Sources.SignalVoltage signalVoltage 
    annotation (Placement(transformation(extent={{-48,10},{-28,30}})));
equation
  connect(eMFGenerator.n, ground.p) annotation (Line(
      points={{21,18},{38,18},{38,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(eMFGenerator.flange_b, flange_b) annotation (Line(
      points={{12.2,27.8},{12.2,62.9},{100,62.9},{100,0}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(signalVoltage.n, eMFGenerator.p) annotation (Line(
      points={{-28,20},{-14,20},{-14,18},{3,18}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(signalVoltage.p, ground.p) annotation (Line(
      points={{-48,20},{-64,20},{-64,-10},{38,-10}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(u, signalVoltage.v) annotation (Line(
      points={{-112,0},{-76,0},{-76,27},{-38,27}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (Diagram(graphics), Icon(graphics={Bitmap(extent={{-84,62},{82,-66}},
            fileName="modelica://RampMETA/Icons/battery_system.jpeg")}));
end EPSSubsystem02;
