within RampMETA.Examples;
model RampEX06_H
  parameter Modelica.SIunits.Angle driveAngle=3.57 "Reference distance to move";
  Control.Sources.KinematicPTP kinematicPTP(startTime=0.5,
    qd_max={1},
    qdd_max={1},
    deltaq={driveAngle}) 
    annotation (Placement(transformation(extent={{-116,32},{-96,52}})));
  Control.Continuous.Integrator integrator(initType=Modelica.Blocks.Types.Init.InitialState) 
    annotation (Placement(transformation(extent={{-82,32},{-62,52}})));
  Control.Continuous.LimPID PI(
    k=100,
    Ti=0.1,
    Td=0.1,
    yMax=12,
    wp=1,
    Ni=0.1,
    controllerType=Modelica.Blocks.Types.SimpleController.PI,
    initType=Modelica.Blocks.Types.InitPID.NoInit,
    limitsAtInit=true) 
    annotation (Placement(transformation(extent={{-46,32},{-26,52}})));
  Mechanics.Rotational.Sensors.SpeedSensor speedSensor 
    annotation (Placement(transformation(extent={{40,-18},{20,2}})));
  Human.CombatVehicleCrew01 combatVehicleCrew01_1 
    annotation (Placement(transformation(extent={{92,28},{62,58}})));
  Electrical.Subystems.EPSSubsytem01 ePSSubsytem01_1 
    annotation (Placement(transformation(extent={{-16,32},{24,52}})));
  Mechanics.Subsystems.RampMechanics rampMechanics 
    annotation (Placement(transformation(extent={{30,32},{50,52}})));
equation
  connect(kinematicPTP.y[1], integrator.u) annotation (Line(
      points={{-95,42},{-84,42}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(integrator.y, PI.u_s) annotation (Line(
      points={{-61,42},{-48,42}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(speedSensor.w, PI.u_m) annotation (Line(
      points={{19,-8},{-36,-8},{-36,30}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(ePSSubsytem01_1.flange_b, rampMechanics.flange_a) annotation (Line(
      points={{23.8,42},{31,42}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(rampMechanics.flange_b, combatVehicleCrew01_1.flange_b) annotation (
      Line(
      points={{50,42},{54.5,42},{54.5,43.15},{62.15,43.15}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(speedSensor.flange, rampMechanics.flange_speed) annotation (Line(
      points={{40,-8},{44,-8},{44,32.1},{40.1,32.1}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(PI.y, ePSSubsytem01_1.u) annotation (Line(
      points={{-25,42},{-16.6,42}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end RampEX06_H;
