within RampMETA.Examples;
model Ramp_A01
  parameter Modelica.SIunits.Angle driveAngle=3.57 "Reference distance to move";
  Control.Sources.KinematicPTP kinematicPTP(startTime=0.5,
    qd_max={1},
    qdd_max={1},
    deltaq={driveAngle}) 
    annotation (Placement(transformation(extent={{-146,26},{-126,46}})));
  Control.Continuous.Integrator integrator(initType=Modelica.Blocks.Types.Init.InitialState) 
    annotation (Placement(transformation(extent={{-112,26},{-92,46}})));
  Control.Continuous.LimPID PI(
    k=100,
    Ti=0.1,
    Td=0.1,
    wp=1,
    Ni=0.1,
    controllerType=Modelica.Blocks.Types.SimpleController.PI,
    yMax=50,
    initType=Modelica.Blocks.Types.InitPID.SteadyState,
    limitsAtInit=false) 
    annotation (Placement(transformation(extent={{-76,26},{-56,46}})));
  Mechanics.Rotational.Sensors.SpeedSensor speedSensor 
    annotation (Placement(transformation(extent={{6,-24},{-14,-4}})));
  Electrical.Subystems.EPSDesign01 ePSDesign01_1 
    annotation (Placement(transformation(extent={{-42,28},{-2,48}})));
  Mechanics.Subsystems.RampMechanics rampMechanics 
    annotation (Placement(transformation(extent={{10,8},{70,68}})));
  Human.CombatVehicleCrew01 combatVehicleCrew01_1(transf_coef=500) 
    annotation (Placement(transformation(extent={{146,6},{86,66}})));
equation
  connect(kinematicPTP.y[1], integrator.u) annotation (Line(
      points={{-125,36},{-114,36}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(integrator.y, PI.u_s) annotation (Line(
      points={{-91,36},{-78,36}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(speedSensor.w, PI.u_m) annotation (Line(
      points={{-15,-14},{-66,-14},{-66,24}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(ePSDesign01_1.flange_b, rampMechanics.flange_a) annotation (Line(
      points={{-3,38},{10,38}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(rampMechanics.flange_b, combatVehicleCrew01_1.flange_b) annotation (
      Line(
      points={{70,38},{83.15,38},{83.15,36.3},{86.3,36.3}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(speedSensor.flange, rampMechanics.flange_speed) annotation (Line(
      points={{6,-14},{42,-14},{42,8.3},{40.3,8.3}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(PI.y, ePSDesign01_1.u) annotation (Line(
      points={{-55,36},{-48,36},{-48,38},{-40,38}},
      color={0,0,127},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-150,
            -100},{150,100}}),
                      graphics), Icon(coordinateSystem(preserveAspectRatio=true,
          extent={{-150,-100},{150,100}})));
end Ramp_A01;
