within RampMETA.Examples;
model Ramp_A02
  parameter Modelica.SIunits.Angle driveAngle=3.57 "Reference distance to move";
  Control.Sources.KinematicPTP kinematicPTP(startTime=0.5,
    qd_max={1},
    qdd_max={1},
    deltaq={driveAngle}) 
    annotation (Placement(transformation(extent={{-146,26},{-126,46}})));
  Control.Continuous.Integrator integrator(initType=Modelica.Blocks.Types.Init.InitialState) 
    annotation (Placement(transformation(extent={{-112,26},{-92,46}})));
  Mechanics.Rotational.Sensors.SpeedSensor speedSensor 
    annotation (Placement(transformation(extent={{6,-24},{-14,-4}})));
  Human.CombatVehicleCrew01 combatVehicleCrew01_1(transf_coef=500) 
    annotation (Placement(transformation(extent={{146,6},{86,66}})));
  Mechanics.Subsystems.RampMechanics02 rampMechanics02_1 
    annotation (Placement(transformation(extent={{10,8},{70,68}})));
  Control.control_candidate_1 control_candidate_1_1 
    annotation (Placement(transformation(extent={{-74,26},{-54,46}})));
  Electrical.Subystems.EPSDesign02 ePSDesign02_1(CB3(maxCurrent=200)) 
    annotation (Placement(transformation(extent={{-44,58},{-4,78}})));
  Control.Sources.Trapezoid trapezoid(
    amplitude=0.209,
    rising=3,
    width=4,
    falling=3,
    period=15,
    nperiod=1) 
    annotation (Placement(transformation(extent={{-84,-60},{-64,-40}})));
equation
  connect(kinematicPTP.y[1], integrator.u) annotation (Line(
      points={{-125,36},{-114,36}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(speedSensor.flange, rampMechanics02_1.flange_speed) annotation (Line(
      points={{6,-14},{24,-14},{24,8.3},{40.3,8.3}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(combatVehicleCrew01_1.flange_b, rampMechanics02_1.flange_b) 
    annotation (Line(
      points={{86.3,36.3},{78.15,36.3},{78.15,38},{70,38}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(integrator.y, control_candidate_1_1.velocity_ref) annotation (Line(
      points={{-91,36},{-83.6,36},{-83.6,39.6},{-76.2,39.6}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(speedSensor.w, control_candidate_1_1.measured_velocity) annotation (
      Line(
      points={{-15,-14},{-40,-14},{-40,24},{-63.6,24}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(control_candidate_1_1.y, ePSDesign02_1.u) annotation (Line(
      points={{-52.8,34.6},{-52.8,45.3},{-42,45.3},{-42,68}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(ePSDesign02_1.flange_b, rampMechanics02_1.flange_a) annotation (Line(
      points={{-5.6,73.2},{-5.6,49.6},{10,49.6},{10,38}},
      color={0,0,0},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-150,
            -100},{150,100}}),
                      graphics), Icon(coordinateSystem(preserveAspectRatio=true,
          extent={{-150,-100},{150,100}})));
end Ramp_A02;
