within RampMETA.Gravity;
model gravity_load_01

  Modelica.Blocks.Sources.Constant vehicle_angle(k=0.15) 
    annotation (Placement(transformation(extent={{-96,22},{-88,30}})));
  Modelica.Blocks.Math.Add add 
    annotation (Placement(transformation(extent={{-28,8},{-20,16}})));
  Modelica.Blocks.Math.Sin sin 
    annotation (Placement(transformation(extent={{14,8},{22,16}})));
  Modelica.Blocks.Math.Gain grav_load_gain(k=Functions.calc_grav_load_gain(1.5,
        1000)) 
    annotation (Placement(transformation(extent={{46,8},{54,16}})));
  Control.Sources.RealInput u 
    annotation (Placement(transformation(extent={{-130,-20},{-100,10}}),
        iconTransformation(extent={{-120,-10},{-100,10}})));
  Control.Sources.RealOutput y 
    annotation (Placement(transformation(extent={{100,-10},{120,10}}),
        iconTransformation(extent={{100,-10},{120,10}})));
equation
  connect(vehicle_angle.y, add.u1) annotation (Line(
      points={{-87.6,26},{-70.1,26},{-70.1,14.4},{-28.8,14.4}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(sin.u, add.y) annotation (Line(
      points={{13.2,12},{-19.6,12}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(grav_load_gain.u, sin.y) annotation (Line(
      points={{45.2,12},{22.4,12}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(u, add.u2) annotation (Line(
      points={{-115,-5},{-90,-5},{-90,9.6},{-28.8,9.6}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(grav_load_gain.y, y) 
  annotation (Icon(graphics));

  annotation (Diagram(graphics), Icon(graphics={
        Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,255}),
        Text(
          extent={{-58,48},{56,-52}},
          lineColor={0,0,255},
          textString="G"),
        Text(
          extent={{-20,24},{30,-28}},
          lineColor={0,0,255},
          textString="G")}));
end gravity_load_01;
