within RampMETA.Human;
model CombatVehicleCrew01

  RampMETA.Human.SoldierStep Soldier01(duration=2, startTime=2) 
    annotation (Placement(transformation(extent={{-80,40},{-60,60}})));
  RampMETA.Human.SoldierStep Soldier02(duration=1.5, startTime=2.5) 
    annotation (Placement(transformation(extent={{-80,-10},{-60,10}})));
  RampMETA.Human.SoldierStep Soldier03(duration=3, startTime=3.5) 
    annotation (Placement(transformation(extent={{-80,-60},{-60,-40}})));
  RampMETA.Human.SoldierStep Soldier04(duration=2, startTime=4) 
    annotation (Placement(transformation(extent={{-40,20},{-20,40}})));
  RampMETA.Human.SoldierStep Soldier05(duration=1, startTime=6) 
    annotation (Placement(transformation(extent={{-40,-40},{-20,-20}})));
  Modelica.Blocks.Math.Sum sum1(nin=5) 
    annotation (Placement(transformation(extent={{36,-10},{56,10}})));
  Real y 
    annotation (Placement(transformation(extent={{62,-10},{82,10}}),
        iconTransformation(extent={{100,-2},{106,4}})));
  Modelica.SIunits.Torque tau
    "Accelerating torque acting at flange (= -flange.tau)";
  parameter Integer transf_coef = 3;
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b 
    annotation (Placement(transformation(extent={{90,-10},{110,10}}),
        iconTransformation(extent={{94,-4},{104,6}})));
equation
  connect(Soldier01.y, sum1.u[1]) annotation (Line(
      points={{-59,50},{0,50},{0,-1.6},{34,-1.6}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Soldier02.y, sum1.u[2]) annotation (Line(
      points={{-59,0},{-10.5,0},{-10.5,-0.8},{34,-0.8}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Soldier03.y, sum1.u[3]) annotation (Line(
      points={{-59,-50},{0,-50},{0,0},{34,0}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Soldier04.y, sum1.u[4]) annotation (Line(
      points={{-19,30},{0,30},{0,0.8},{34,0.8}},
      color={0,0,127},
      smooth=Smooth.None));
  connect(Soldier05.y, sum1.u[5]) annotation (Line(
      points={{-19,-30},{0,-30},{0,1.6},{34,1.6}},
      color={0,0,127},
      smooth=Smooth.None));
  sum1.y = y;
  tau = -flange_b.tau;
  tau = y*transf_coef;

  annotation (Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),
                      graphics), Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),            graphics={Bitmap(extent={{-100,108},{100,
              -96}}, fileName="modelica://RampMETA/Icons/soldiers_standing_icon.png")}));
end CombatVehicleCrew01;
