within RampMETA.Mechanics.Rotational.Sensors;
model AngleSensor "Ideal sensor to measure the absolute flange angle"

  extends Modelica.Mechanics.Rotational.Interfaces.PartialAbsoluteSensor;
  Modelica.Blocks.Interfaces.RealOutput phi "Absolute angle of flange" 
                                annotation (Placement(transformation(extent=
           {{100,-10},{120,10}}, rotation=0)));
equation
  phi = flange.phi;
  annotation (
    Documentation(info="<html>
<p>
Measures the <b>absolute angle phi</b> of a flange in an ideal
way and provides the result as output signal <b>phi</b>
(to be further processed with blocks of the Modelica.Blocks library).
</p>

</HTML>
"), Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={1,1}), graphics={Text(
          extent={{70,-30},{120,-70}},
          lineColor={0,0,0},
          textString="phi")}),
    Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={1,1}), graphics));
end AngleSensor;
