within RampMETA.Mechanics.Rotational.Sensors;
model SpeedSensor
  "Ideal sensor to measure the absolute flange angular velocity"

  extends Modelica.Mechanics.Rotational.Interfaces.PartialAbsoluteSensor;
  Modelica.Blocks.Interfaces.RealOutput w "Absolute angular velocity of flange"
                                annotation (Placement(transformation(extent=
           {{100,-10},{120,10}}, rotation=0)));

equation
  w = der(flange.phi);
  annotation (
    Documentation(info="<html>
<p>
Measures the <b>absolute angular velocity w</b> of a flange in an ideal
way and provides the result as output signal <b>w</b>
(to be further processed with blocks of the Modelica.Blocks library).
</p>

</HTML>
"), Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={1,1}), graphics={Text(
          extent={{70,-30},{120,-70}},
          lineColor={0,0,0},
          textString="w")}),
    Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={1,1}), graphics));
end SpeedSensor;
