within RampMETA.Mechanics.Rotational.Sources;
model ConstantTorque "Constant torque, not dependent on speed"
  extends Modelica.Mechanics.Rotational.Interfaces.PartialTorque;
  parameter Modelica.SIunits.Torque tau_constant
    "Constant torque (if negative, torque is acting as load)";
  Modelica.SIunits.Torque tau
    "Accelerating torque acting at flange (= -flange.tau)";
equation
  tau = -flange.tau;
  tau = tau_constant;
  annotation (
    Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
            {100,100}}),
            graphics),
    Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
            100,100}}), graphics={Line(points={{-98,0},{100,0}}, color={0,0,
              255}), Text(
          extent={{-124,-16},{120,-40}},
          lineColor={0,0,0},
          textString="%tau_constant")}),
    Documentation(info="<HTML>
<p>
Model of constant torque, not dependent on angular velocity of flange.<br>
Positive torque acts accelerating.
</p>
</HTML>"));
end ConstantTorque;
