within RampMETA.Mechanics.Subsystems;
model RampMechanics

  Rotational.Components.Inertia inertia(
    J=1,
    phi(fixed=true, start=0),
    a(fixed=true)) 
    annotation (Placement(transformation(extent={{-46,2},{-26,22}})));
  Rotational.Components.SpringDamper springDamper(
    c=1e4,
    d=100,
    phi_rel0=0,
    w_rel(fixed=true)) 
    annotation (Placement(transformation(extent={{-14,2},{6,22}})));
  Rotational.Components.Inertia inertia1(          J=2) 
    annotation (Placement(transformation(extent={{16,2},{36,22}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation (
      Placement(transformation(extent={{-116,-16},{-96,4}}),
        iconTransformation(extent={{-104,-4},{-96,4}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation (
      Placement(transformation(extent={{84,-16},{104,4}}),  iconTransformation(
          extent={{96,-4},{104,4}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_speed 
    annotation (Placement(transformation(extent={{-10,-110},{10,-90}}),
        iconTransformation(extent={{-4,-104},{6,-94}})));
equation
  connect(inertia.flange_b, springDamper.flange_a) annotation (Line(
      points={{-26,12},{-14,12}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(springDamper.flange_b, inertia1.flange_a) annotation (Line(
      points={{6,12},{16,12}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(flange_a, inertia.flange_a) annotation (Line(
      points={{-106,-6},{-74,-6},{-74,12},{-46,12}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(inertia1.flange_b, flange_b) annotation (Line(
      points={{36,12},{63,12},{63,-6},{94,-6}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(inertia.flange_b, flange_speed) annotation (Line(
      points={{-26,12},{-20,12},{-20,-100},{0,-100}},
      color={0,0,0},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),
                      graphics), Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),            graphics={Bitmap(extent={{-100,100},{100,
              -92}},
            fileName="modelica://RampMETA/Icons/Ramp.jpg")}),
                                        Line(
      points={{-90,0},{-89,0},{-89,0},{-90,0}},
      color={0,0,0},
      smooth=Smooth.None));
end RampMechanics;
