within RampMETA.Mechanics.Subsystems;
model RampMechanics02

  Rotational.Components.Inertia inertia(
    phi(fixed=true, start=0),
    a(fixed=true),
    J=Functions.calc_J(1.5, 1000)) 
    annotation (Placement(transformation(extent={{-50,22},{-30,42}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation (
      Placement(transformation(extent={{-116,-16},{-96,4}}),
        iconTransformation(extent={{-104,-4},{-96,4}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation (
      Placement(transformation(extent={{84,-42},{104,-22}}),iconTransformation(
          extent={{96,-4},{104,4}})));
  Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_speed 
    annotation (Placement(transformation(extent={{-10,-110},{10,-90}}),
        iconTransformation(extent={{-4,-104},{6,-94}})));
  Modelica.Mechanics.Rotational.Components.Damper hatch_hinge_friction(d=0.1) 
    annotation (Placement(transformation(extent={{-18,22},{2,42}})));
  Modelica.Mechanics.Rotational.Components.Fixed fixed 
    annotation (Placement(transformation(extent={{4,-12},{24,8}})));
equation
  connect(flange_a, inertia.flange_a) annotation (Line(
      points={{-106,-6},{-74,-6},{-74,32},{-50,32}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(inertia.flange_b, hatch_hinge_friction.flange_a) annotation (Line(
      points={{-30,32},{-18,32}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(hatch_hinge_friction.flange_b, fixed.flange) annotation (Line(
      points={{2,32},{14,32},{14,-2}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(flange_b, inertia.flange_a) annotation (Line(
      points={{94,-32},{-50,-32},{-50,32}},
      color={0,0,0},
      smooth=Smooth.None));
  connect(inertia.flange_a, flange_speed) annotation (Line(
      points={{-50,32},{-50,-100},{0,-100}},
      color={0,0,0},
      smooth=Smooth.None));
  annotation (Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),
                      graphics), Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        initialScale=0.3),            graphics={Bitmap(extent={{-100,100},{100,
              -92}},
            fileName="modelica://RampMETA/Icons/Ramp.jpg")}),
                                        Line(
      points={{-90,0},{-89,0},{-89,0},{-90,0}},
      color={0,0,0},
      smooth=Smooth.None));
end RampMechanics02;
