within RampMETA.Testing.Electrical;
model testEMFGenerator
  import RampMETA;
  RampMETA.Electrical.Sources.BatteryConstantVoltage batteryConstantVoltage 
    annotation (Placement(transformation(extent={{-46,26},{-26,46}})));
  RampMETA.Electrical.Basic.EMFGenerator eMFGenerator 
    annotation (Placement(transformation(extent={{-4,26},{16,46}})));
  RampMETA.Electrical.Basic.Ground ground 
    annotation (Placement(transformation(extent={{34,-18},{54,2}})));
  RampMETA.Mechanics.Rotational.Components.Inertia inertia 
    annotation (Placement(transformation(extent={{20,56},{40,76}})));
equation
  connect(eMFGenerator.n, ground.p) annotation (Line(
      points={{15,36},{44,36},{44,2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(batteryConstantVoltage.n, eMFGenerator.p) annotation (Line(
      points={{-27,36},{-3,36}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(batteryConstantVoltage.p, ground.p) annotation (Line(
      points={{-45,36},{-64,36},{-64,2},{44,2}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(eMFGenerator.flange_b, inertia.flange_a) annotation (Line(
      points={{6.2,45.8},{6.2,55.9},{20,55.9},{20,66}},
      color={0,0,0},
      smooth=Smooth.None));
  annotation (Diagram(graphics));
end testEMFGenerator;
